CVE-2021-28116

Name
CVE-2021-28116
Description
Squid through 4.14 and 5.x through 5.0.5, in some configurations, allows information disclosure because of an out-of-bounds read in WCCP protocol data. This can be leveraged as part of a chain for remote code execution as nobody.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Broken Link https://github.com/squid-cache/squid/security/advisories/GHSA-rgf3-9v3p-qp82
Product http://www.squid-cache.org/Versions/
Third Party Advisory https://www.zerodayinitiative.com/advisories/ZDI-21-157/
GENTOO https://security.gentoo.org/glsa/202105-14
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/T4EPIWUZDJAXADDHVOPKRBTQHPBR6H66/
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/LSQ3U54ZCNXR44QRPW3AV2VCS6K3TKCF/
MLIST http://www.openwall.com/lists/oss-security/2021/10/04/1

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:squid-cache:squid:*:*:*:*:*:*:*:* squid >= None <= 4.14
cpe:2.3:a:squid-cache:squid:*:*:*:*:*:*:*:* squid >= 5.0 <= 5.0.5

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
squid 3.12-main 4.17-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
squid 3.11-main 4.17-r0 Natanael Copa <ncopa@alpinelinux.org> fixed
squid 3.15-main 5.2-r0 Natanael Copa <ncopa@alpinelinux.org> fixed